# See dos how to configure the bundle: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
  # valid drivers options include "gd" or "gmagick" or "imagick"
  driver: "gd"
  resolvers:
    default:
      web_path:
        cache_prefix: '%liip.cache.root_dir%'
  filter_sets:
    cache: ~
    logo:
      quality: 100
      filters:
        upscale: { min: [ 100, 100 ] }
        thumbnail: { size: [ 100, 100 ], mode: outbound }
    profile:
      quality: 100
      filters:
        upscale: { min: [ 200, 200 ] }
        thumbnail: { size: [ 200, 200 ], mode: outbound }
    lg_size:
      filters:
        relative_resize:
          widen: 2000
    xl_size:
      filters:
        relative_resize:
          widen: 1000
    md_size:
      filters:
        relative_resize:
          widen: 500
    sm_size:
      filters:
        relative_resize:
          widen: 250
    xs_size:
      filters:
        relative_resize:
          widen: 100